Bug 482427 - support high resolutions
support high resolutions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
urgent Severity high
: beta
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
http://mantis.tlv.redhat.com/view.php...
: Reopened, ZStream
Depends On:
Blocks: 580954 647865 653329 690417
  Show dependency treegraph
 
Reported: 2009-01-27 13:31 EST by Itamar Heim
Modified: 2013-01-10 21:30 EST (History)
17 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.114.el6
Doc Type: Bug Fix
Doc Text:
Cause: qemu-kvm didn't have spice/qxl high resolution modes enabled. Consequence: qemu-kvm did not allow a user to select a resolution higher than 1920x1080, which may have been rather limiting. Fix: Remove the QXL_HIRES_MODES #define. Make the highres modes depend on the size of the vga ram (and draw area) instead. This enables some of the highres modes as RHEL-6.0 has VGA_RAM_SIZE set to 16 MB (unlike upstream qemu which has 8MB only). Result: maximum supported resolution of spice/qxl increased to 2560x1600.
Story Points: ---
Clone Of:
: 647865 (view as bug list)
Environment:
Last Closed: 2011-05-19 07:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2009-01-27 13:31:14 EST


---- Reported by iheim@redhat.com 2008-09-25 14:08:27 EDT ----

1920x1200 is not working right now

resolutions >1920x1080 are not supported right now (the code supporting them is in ifdef, and even if compiling it, still won't work since some buffers needs to be greater.

1. please at least add 1920x1200 to the list of resolution supported by default
2. please consider making the support of high resolutions configurable



--- Bug imported by bugzilla@redhat.com 2009-01-27 13:34 EDT ---

This bug was previously known as _bug_ 5430 at http://mantis.tlv.redhat.com/show_bug.cgi?id=5430

Actual time not defined. Setting to 0.0

Comment 1 RHEL Product and Program Management 2009-06-22 14:47:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Alexander Larsson 2010-06-24 09:15:41 EDT
We'll look into if this is possible without too much work.
Comment 8 RHEL Product and Program Management 2010-06-28 06:24:47 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 12 RHEL Product and Program Management 2010-09-08 07:18:11 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Red Hat Enterprise Linux. Unfortunately, we
are unable to address this request in the current release. Because we
are in the final stage of Red Hat Enterprise Linux 6 development, only
significant, release-blocking issues involving serious regressions and
data corruption can be considered.

If you believe this issue meets the release blocking criteria as
defined and communicated to you by your Red Hat Support representative,
please ask your representative to file this issue as a blocker for the
current release. Otherwise, ask that it be evaluated for inclusion in
the next minor release of Red Hat Enterprise Linux.
Comment 13 Eduardo Habkost 2010-09-09 17:51:22 EDT
A qemu-kvm patch was submitted pointing to this BZ, but the component is spice-common. If patches only for qemu-kvm are needed, the component needs to be changed to qemu-kvm. If patche for both spice and qemu-kvm packages are needed, a qemu-kvm BZ is needed to (it can be simply a clone of this bug[1]).


[1] Please, if cloning, always include a comment at the top of the BZ description explaining why it is being cloned.
Comment 14 Søren Sandmann Pedersen 2010-09-13 05:35:52 EDT
Dynamic allocation of framebuffers is necessary for good multi-monitor support too.
Comment 25 Stephen Gordon 2010-12-20 23:12:54 EST
What is the maximum resolution available by default as a result of this work?
Comment 27 Gerd Hoffmann 2011-01-03 03:45:06 EST
Re #24: 2560x1600
Comment 28 Jaromir Hradilek 2011-01-10 10:34:34 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, qemu-kvm did not allow a user to select a resolution higher than 1920x1080, which may have been rather limiting. This update increases the maximum supported resolution to 2560x1600.
Comment 33 Eduardo Habkost 2011-05-05 10:58:00 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,7 @@
-Previously, qemu-kvm did not allow a user to select a resolution higher than 1920x1080, which may have been rather limiting. This update increases the maximum supported resolution to 2560x1600.+Cause: qemu-kvm didn't have spice/qxl high resolution modes enabled.
+
+Consequence: qemu-kvm did not allow a user to select a resolution higher than 1920x1080, which may have been rather limiting. 
+
+Fix: Remove the QXL_HIRES_MODES #define.  Make the highres modes depend on the size of the vga ram (and draw area) instead. This enables some of the highres modes as RHEL-6.0 has VGA_RAM_SIZE set to 16 MB (unlike upstream qemu which has 8MB only).
+
+Result: maximum supported resolution of spice/qxl increased to 2560x1600.
Comment 34 errata-xmlrpc 2011-05-19 07:22:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html
Comment 35 errata-xmlrpc 2011-05-19 08:43:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html

Note You need to log in before you can comment on or make changes to this bug.